#!/usr/bin/awk -f

{
  gsub("d", "e");
  gsub("!.*$", "");
}
(FILENAME==ARGV[1]) && (FNR==1){
  tstart=$1;
  tstop=$2;
}
(FILENAME==ARGV[1]) && (FNR==2){
  dt=$1;
}
(FILENAME==ARGV[2]) && (FNR==1){
  npl=$1;
}
(FILENAME==ARGV[3]) && (FNR==1){
  ntp=$1;
}
(FILENAME==ARGV[4]) && (FNR==3){
  decim = $1; 
  for (i=2; i<=NF; i++) {
    decim = decim*$i;
  }
}
(FILENAME==ARGV[4]) && (FNR==6){
  dtfilter = $1;
}
(FILENAME==ARGV[4]) && (FNR==10){
  write_filter = $1;
  write_filter = "T";
}
(FILENAME==ARGV[5]) && (FNR==17){
  dtproper = $1*365.25e6;
}
END{
  df1 = (28 + 66 * (npl-1+ntp)) * ((tstop-tstart)/dt+1);
  print "bin.dat:	" df1 " B = " df1/(1024.**2) " MB = " df1/(1024.**3) " GB"

  if (write_filter == "F") {
    df2 = 0.;
  } else {
    df2 = (24 + 42 * (npl-1+ntp)) * (tstop-tstart)/(dtfilter*decim);
  }
  print "bin.filter.dat:	" df2 " B = " df2/(1024.**2) " MB = " df2/(1024.**3) " GB"

  df3 = (24 + 42 * (npl-1+ntp)) * (tstop-tstart)/dtproper;
  print "bin.proper.dat:	" df3 " B = " df3/(1024.**2) " MB = " df3/(1024.**3) " GB"

  df = df1+df2+df3;
  print "TOTAL:		" df " B = " df/(1024.**2) " MB = " df/(1024.**3) " GB"
}


